import React from "react";
import { IRecordLockingIdentity, IRecordLockingLockRecord } from "../../types";
import { IncomingGenericData } from "@webiny/app-websockets";
export interface IContentEntryLockerProps {
    onDisablePrompt: (flag: boolean) => void;
    children: React.ReactElement;
}
export interface IKickOutWebsocketsMessage extends IncomingGenericData {
    data: {
        record: IRecordLockingLockRecord;
        user: IRecordLockingIdentity;
    };
}
export declare const ContentEntryLocker: ({ onDisablePrompt, children }: IContentEntryLockerProps) => React.JSX.Element;
